import request from '@/utils/request'

// 查询角色列表
export function getOrderinfo(bmProjectId) {
  return request({
    url: `/projectOrderInfo/orderinfo/${bmProjectId}`,
    method: 'get',
  })
}
// 签约信息-新增
export function addOrderinfo(data) {
  return request({
    url: `/projectOrderInfo/orderinfo`,
    method: 'POST',
    data
  })
}
// 提交审核
export function getExamine(data) {
  return request({
    url: `/bmProject/project/examine`,
    method: 'POST',
    data
  })
}
// 签约信息-修改
export function setOrderinfo(data) {
  return request({
    url: `/projectOrderInfo/orderinfo`,
    method: 'PUT',
    data
  })
}

// 股东构成-删除
export function delShareholder(id) {
  return request({
    url: `/shareholder/shareholder/${id}`,
    method: 'DELETE',
  })
}

// 股东构成-删除
export function delShareholders(id) {
  return request({
    url: `/projectShareholder/shareholder/${id}`,
    method: 'DELETE',
  })
}
// 股东构成-新增
export function addShareholder(data) {
  return request({
    url: `/shareholder/shareholder`,
    method: 'post',
    data
  })
}

export function addShareholderde(data) {
  return request({
    url: `/projectShareholder/shareholder`,
    method: 'post',
    data
  })
}
// 股东构成-修改
export function setShareholder(data) {
  return request({
    url: `/shareholder/shareholder`,
    method: 'put',
    data
  })
}

export function setShareholderde(data) {
  return request({
    url: `/projectShareholder/shareholder`,
    method: 'put',
    data
  })
}
// 股东构成-查看
export function getShareholder(id) {
  return request({
    url: `/shareholder/shareholder/${id}`,
    method: 'GET',
  })
}

// 股东构成-查看
export function getShareholders(id) {
  return request({
    url: `/projectShareholder/shareholder/${id}`,
    method: 'GET',
  })
}
// 股东构成-列表
export function getShareholderList(query) {
  return request({
    url: `/shareholder/shareholder/list`,
    method: 'get',
    params: query
  })
}
// 股东构成-列表
export function getShareholderListss(query) {
  return request({
    url: `/projectShareholder/shareholder/list`,
    method: 'get',
    params: query
  })
}
